%define name    ipmiutil
%define version	1.6.4
%define release 1mdk
Name: %name
Version: %version
Release: %release
Summary: A package that includes various IPMI server management utilities
License: BSD
Group: System/Kernel and hardware
Url:	http://ipmiutil.sourceforge.net/
Source: http://optusnet.dl.sourceforge.net/sourceforge/ipmiutil/%{name}-%{version}.tar.bz2
Patch0:	ipmiutil-doc.patch.bz2
Patch1: ipmiutil-1.6.4-freeipmi.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: rpm-helper
BuildRequires: freeipmi-devel

# see freeipmi
ExcludeArch: ppc

%description
The ipmiutil component package provides utilities to view the SEL (showsel), 
perform a hardware reset (hwreset), and set up the Platform Event Filter :q!

entry to allow BMC LAN alerts from OS Critical Stop messages (pefconfig).  
It requires an IPMI driver (ipmidrvr) package in order to talk to the 
BMC/firmware interface.
An IPMI driver can be provided by either the Intel IPMI driver (/dev/imb) 
or the valinux IPMI driver (/dev/ipmikcs).


%prep
%setup -q
#%patch0
%patch1 -p0 -b .freeipmi

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%files
%defattr(-,root,root)
%{_sbindir}/alarms
%{_sbindir}/fruconfig
%{_sbindir}/hwreset
%{_sbindir}/icmd
%{_sbindir}/pefconfig
%{_sbindir}/sensor
%{_sbindir}/showsel
%{_sbindir}/tmconfig
%{_sbindir}/wdt
%{_sbindir}/getevent
%{_sbindir}/xmlconfig

%{_datadir}/ipmiutil/COPYING
%{_datadir}/ipmiutil/README
%{_datadir}/ipmiutil/UserGuide
%{_datadir}/ipmiutil/bmclanaol.mib
%{_datadir}/ipmiutil/bmclanpet.mib
%{_datadir}/ipmiutil/checksel

%{_mandir}/man8/alarms.8.bz2
%{_mandir}/man8/fruconfig.8.bz2
%{_mandir}/man8/hwreset.8.bz2
%{_mandir}/man8/icmd.8.bz2
%{_mandir}/man8/pefconfig.8.bz2
%{_mandir}/man8/sensor.8.bz2
%{_mandir}/man8/showsel.8.bz2
%{_mandir}/man8/tmconfig.8.bz2
%{_mandir}/man8/wdt.8.bz2

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
# after install
tmpsel=/tmp/pefcfg.tmp

# Assumes that the kernel patches are already in place.

# Make sure that the panic timeout is set to some reasonable value
PANIC_MODE=5
PANIC_FILE=/proc/sys/kernel/panic
PANIC_VALUE=`cat $PANIC_FILE`

# assume that if $pval is set, that someone has already configured lilo.conf
if [ "$PANIC_VALUE" = "0" ]
then
   # Panic timeout is not set, set timeout to $pnew
   echo "$PANIC_MODE" > $PANIC_FILE
   echo "kernel.panic=$PANIC_MODE" >> /etc/sysctl.conf
fi

# Set up the PEF entry to send the BMC LAN Alert for this event.
%{_sbindir}/pefconfig >$tmpsel 2>&1

# --- Dont need to load a module, bmc_panic is now linked into the kernel.

%changelog
* Mon Jun  13 2005 Erwan Velu <velu@seanodes.com> 1.6.4-1mdk
- 1.6.4

* Fri Apr  1 2005 Olivier Blin <oblin@mandrakesoft.com> 1.5.8-3mdk
- Patch1: do not build against old freeipmi (and readline)
- fix summary ended with dot

* Wed Mar 16 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.8-2mdk
- don't try to build on ppc (depends on freeipmi)

* Fri Mar 03 2005 Erwan Velu <erwan@seanodes.com> 1.5.8-1mdk
- 1.5.8
* Wed Aug 18 2004 Erwan Velu <erwan@mandrakesoft.com> 1.4.8-1mdk
- Initial release
